<?php
declare(strict_types=1);

namespace App\Service\Utils;

use App\Enum\Utils\EnvironnementVarEnum;
use RuntimeException;

/**
 * Classe Environnement qui permet de récupérer des variables d'environnement
 */
class Environnement
{
    public function get(string $name): string{
        if(in_array($name, EnvironnementVarEnum::toArray(), true)){
            return $_ENV[$name];
        }
        throw new RuntimeException(sprintf('Undefined environment variable : %s', $name), 500);
    }
}